## nomad 0.4.0+dfsg

=== website/Makefile ===
all: build

init:
	bundle

dev: init
	bundle exec middleman server

build: init
	bundle exec middleman build

## nomad 0.3.2+dfsg

=== debian/changelog ===
nomad (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * tests: set PATH to `nomad` binary.
  * service += "LimitNOFILE=65536".
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.
  * Build-Depends:
    - golang-github-opencontainers-runc-dev
    - golang-github-prometheus-client-model-dev
    + golang-github-davecgh-go-spew-dev
    = golang-github-hashicorp-consul-dev (>= 0.6.4~dfsg-2~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jun 2016 19:59:02 +1000

nomad (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #818296).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Mar 2016 04:09:16 +1100

=== debian/control ===
Source: nomad
Section: devel
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-systemd, dh-golang
               ,golang-go
    ,golang-github-armon-go-metrics-dev
    ,golang-github-armon-go-radix-dev
    ,golang-github-boltdb-bolt-dev
    ,golang-github-coreos-go-systemd-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-docker-docker-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-dustin-go-humanize-dev
    ,golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160316~)
    ,golang-github-go-ini-ini-dev
    ,golang-dbus-dev | golang-github-godbus-dbus-dev
    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
    ,golang-github-gorhill-cronexpr-dev
    ,golang-github-hashicorp-consul-dev (>= 0.6.4~dfsg-2~)
    ,golang-github-hashicorp-errwrap-dev
    ,golang-github-hashicorp-go-checkpoint-dev
    ,golang-github-hashicorp-go-cleanhttp-dev
    ,golang-github-hashicorp-go-getter-dev
    ,golang-github-hashicorp-go-immutable-radix-dev
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-msgpack-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-plugin-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-golang-lru-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-logutils-dev
    ,golang-github-hashicorp-memberlist-dev
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
    ,golang-github-hashicorp-raft-dev (>= 0.0~git20160317~)
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-scada-client-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-hashicorp-yamux-dev
    ,golang-github-jmespath-go-jmespath-dev
    ,golang-github-kardianos-osext-dev
    ,golang-github-mattn-go-isatty-dev
    ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
    ,golang-github-mitchellh-cli-dev (>= 0.0~git20160203~)
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-shirou-gopsutil-dev
#    ,golang-github-opencontainers-runc-dev
    ,golang-prometheus-client-dev | golang-github-prometheus-client-dev
#    ,golang-github-prometheus-client-model-dev
    ,golang-github-prometheus-common-dev
    ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
    ,golang-github-ugorji-go-codec-dev
    ,golang-golang-x-sys-dev
Standards-Version: 3.9.8
Homepage: https://github.com/hashicorp/nomad
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/nomad.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/nomad.git
XS-Go-Import-Path: github.com/hashicorp/nomad

Package: nomad
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,pipexec
Description: distributed, highly available, datacenter-aware scheduler
 Nomad is a cluster manager, designed for both long lived services and
 short lived batch processing workloads. Developers use a declarative job
 specification to submit work, and Nomad ensures constraints are satisfied
 and resource utilization is optimized by efficient task packing. Nomad
 supports all major operating systems and virtualized, containerized,
 or standalone applications.
 The key features of Nomad are:
 .
  * Docker Support: Jobs can specify tasks which are Docker containers.
  Nomad will automatically run the containers on clients which have Docker
  installed, scale up and down based on the number of instances request,
  and automatically recover from failures.
 .
  * Multi-Datacenter and Multi-Region Aware: Nomad is designed to be a
  global-scale scheduler. Multiple datacenters can be managed as part of a
  larger region, and jobs can be scheduled across datacenters if requested.
  Multiple regions join together and federate jobs making it easy to run
  jobs anywhere.
 .
  * Operationally Simple:
  Nomad runs as a single binary that can be either a client or server, and
  is completely self contained. Nomad does not require any external
  services for storage or coordination. This means Nomad combines the
  features of a resource manager and scheduler in a single system.
 .
  * Distributed and Highly-Available: Nomad servers cluster together and
  perform leader election and state replication to provide high
  availability in the face of failure. The Nomad scheduling engine is
  optimized for optimistic concurrency allowing all servers to make
  scheduling decisions to maximize throughput.
 .
  * HashiCorp Ecosystem: Nomad integrates with the entire HashiCorp
  ecosystem of tools. Along with all HashiCorp tools, Nomad is designed in
  the unix philosophy of doing something specific and doing it well.  Nomad
  integrates with tools like Packer, Consul, and Terraform to support
  building artifacts, service discovery, monitoring and capacity
  management.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export GOMAXPROCS=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_EXCLUDES = demo

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -type d -empty -delete -print

override_dh_auto_test:
	-PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## nomad 0.4.0+dfsg

=== debian/changelog ===
nomad (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016] (Closes: #831036).
    + temporary switched to bundled "github.com/hashicorp/consul".
  * Build-Depends:
    = golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160622~)
    = golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
    + golang-github-mitchellh-colorstring-dev
    + golang-github-mitchellh-go-ps-dev
    + golang-github-nytimes-gziphandler-dev
    + golang-golang-x-tools-dev
  * rules: --parallel build.
  * init: added support for 'reload' command.
    + Depends += "procps".
  * New patches to disable some failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Jul 2016 09:28:09 +1000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
     ,golang-github-docker-docker-dev
     ,golang-github-docker-go-units-dev
     ,golang-github-dustin-go-humanize-dev
-    ,golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160316~)
+    ,golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160622~)
     ,golang-github-go-ini-ini-dev
     ,golang-dbus-dev | golang-github-godbus-dbus-dev
     ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
@@ -38,15 +38,18 @@
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
     ,golang-github-hashicorp-raft-dev (>= 0.0~git20160317~)
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-scada-client-dev
+    ,golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-hashicorp-yamux-dev
     ,golang-github-jmespath-go-jmespath-dev
     ,golang-github-kardianos-osext-dev
     ,golang-github-mattn-go-isatty-dev
+    ,golang-github-nytimes-gziphandler-dev
     ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
     ,golang-github-mitchellh-cli-dev (>= 0.0~git20160203~)
     ,golang-github-mitchellh-copystructure-dev
+    ,golang-github-mitchellh-colorstring-dev
+    ,golang-github-mitchellh-go-ps-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-mitchellh-reflectwalk-dev
@@ -58,6 +61,7 @@
     ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
     ,golang-github-ugorji-go-codec-dev
     ,golang-golang-x-sys-dev
+    ,golang-golang-x-tools-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/hashicorp/nomad
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/nomad.git
@@ -70,6 +74,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
     ,pipexec
+    ,procps
 Description: distributed, highly available, datacenter-aware scheduler
  Nomad is a cluster manager, designed for both long lived services and
  short lived batch processing workloads. Developers use a declarative job

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,15 @@
 export GOMAXPROCS=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_GOLANG_EXCLUDES = demo
+export DH_GOLANG_INSTALL_EXTRA = \
+    client/getter/test-fixtures \
+    client/driver/test-resources \
+    command/agent/test-resources \
+    command/agent/config-test-fixtures \
+    jobspec/test-fixtures
 
 %:
-	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build --parallel
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/[+~]dfsg\d*//,\
" https://github.com/hashicorp/nomad/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## nomad 0.8.5+dfsg1

=== debian/changelog ===
nomad (0.8.5+dfsg1-1) unstable; urgency=medium

  * New upstream release [September 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 15 Sep 2018 23:39:25 +1000

nomad (0.8.4+dfsg1-3) unstable; urgency=medium

  * New upstream patch for rkt --net=none.
  * Suggests += "consul, rkt".
  * service:
    + Wants += consul
    + Wants += cni-dhcp
    + workaround for upstream bug (remove "state.db")
    + drain node on stop
  * Install basic conffile to set "-data_dir".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 Aug 2018 15:41:30 +1000

nomad (0.8.4+dfsg1-2) unstable; urgency=medium

  * Updated "runc.patch" to fix segfault.
  * Patched away "golang-github-kardianos-osext-dev".
  * golang-speter-go-exp-math-dec-inf-dev --> golang-gopkg-inf.v0-dev
  * Un-bundled "golang-github-mitchellh-go-testing-interface-dev".
  * Install bash-completions. Thanks, Chelsea Komlo.
  * New patches to implement "rkt_options" and "hostname" features.
  * Install few more config examples.
  * service: "KillMode=control-group".
  * rules: disabled tests (too slow, too many fail in build chroot).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Aug 2018 05:38:32 +1000

nomad (0.8.4+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #889986).
    + fixed FTBFS with "golang-go.crypto" (Closes: #861547).
  * Added Suggests with packages needed for "java" and "qemu" drivers.
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper & compat to version 11
  * golang-go --> golang-any

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Jun 2018 15:53:26 +1000

=== debian/control ===
--- 
+++ 
@@ -1,71 +1,126 @@
 Source: nomad
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd, dh-golang
-               ,golang-go
-    ,golang-github-armon-go-metrics-dev
+Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
+    ,golang-dbus-dev | golang-github-godbus-dbus-dev
+    ,golang-ginkgo-dev
+    ,golang-github-appc-cni-dev
+    ,golang-github-appc-docker2aci-dev
+    ,golang-github-appc-spec-dev
+    ,golang-github-armon-go-metrics-dev (>= 0.0~git20170601~)
     ,golang-github-armon-go-radix-dev
-    ,golang-github-boltdb-bolt-dev
+    ,golang-github-azure-go-ansiterm-dev
+    ,golang-github-beorn7-perks-dev
+    ,golang-github-bgentry-go-netrc-dev
+    ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
+    ,golang-github-burntsushi-toml-dev
+    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.0.0~)
+    ,golang-github-circonus-labs-circonusllhist-dev
+    ,golang-github-coreos-go-semver-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
-    ,golang-github-docker-docker-dev
+    ,golang-github-denverdino-aliyungo-dev
+    ,golang-github-docker-docker-dev (>= 17.12.1~)
+    ,golang-github-docker-go-connections-dev
     ,golang-github-docker-go-units-dev
     ,golang-github-dustin-go-humanize-dev
-    ,golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160622~)
+    ,golang-github-elazarl-go-bindata-assetfs-dev
+    ,golang-github-fatih-color-dev (>= 1.5.0~)
+    ,golang-github-fatih-structs-dev
+    ,golang-github-fsnotify-fsnotify-dev
+    ,golang-github-fsouza-go-dockerclient-dev (>= 1.2.1~)
     ,golang-github-go-ini-ini-dev
-    ,golang-dbus-dev | golang-github-godbus-dbus-dev
-    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
+    ,golang-github-golang-snappy-dev
+    ,golang-github-google-go-cmp-dev
+    ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev
-    ,golang-github-hashicorp-consul-dev (>= 0.6.4~dfsg-2~)
+    ,golang-github-hashicorp-consul-dev (>= 1.0.7~)
     ,golang-github-hashicorp-errwrap-dev
-    ,golang-github-hashicorp-go-checkpoint-dev
+    ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
     ,golang-github-hashicorp-go-cleanhttp-dev
     ,golang-github-hashicorp-go-getter-dev
-    ,golang-github-hashicorp-go-immutable-radix-dev
+    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
+    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev
     ,golang-github-hashicorp-go-multierror-dev
     ,golang-github-hashicorp-go-plugin-dev
+    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.0+git20180718~)
+    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-sockaddr-dev
     ,golang-github-hashicorp-go-syslog-dev
+    ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-go-version-dev
-    ,golang-github-hashicorp-golang-lru-dev
-    ,golang-github-hashicorp-hcl-dev
+    ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
     ,golang-github-hashicorp-logutils-dev
     ,golang-github-hashicorp-memberlist-dev
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
-    ,golang-github-hashicorp-raft-dev (>= 0.0~git20160317~)
     ,golang-github-hashicorp-raft-boltdb-dev
+    ,golang-github-hashicorp-raft-dev (>= 1.0.0+git20180118~)
     ,golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
-    ,golang-github-hashicorp-serf-dev
+    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
     ,golang-github-hashicorp-yamux-dev
+#   ,golang-github-hpcloud-tail-dev
     ,golang-github-jmespath-go-jmespath-dev
-    ,golang-github-kardianos-osext-dev
-    ,golang-github-mattn-go-isatty-dev
-    ,golang-github-nytimes-gziphandler-dev
-    ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
-    ,golang-github-mitchellh-cli-dev (>= 0.0~git20160203~)
+    ,golang-github-kr-pretty-dev
+    ,golang-github-kr-text-dev
+    ,golang-github-mattn-go-colorable-dev
+    ,golang-github-mattn-go-isatty-dev (>= 0.0.3~)
+    ,golang-github-mattn-go-shellwords-dev
+    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-colorstring-dev
     ,golang-github-mitchellh-copystructure-dev
-    ,golang-github-mitchellh-colorstring-dev
+    ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-mitchellh-reflectwalk-dev
-    ,golang-github-shirou-gopsutil-dev
-#    ,golang-github-opencontainers-runc-dev
+    ,golang-github-nytimes-gziphandler-dev (>= 1.0.1~)
+    ,golang-github-opencontainers-go-digest-dev
+    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-runc-dev
+    ,golang-github-pkg-errors-dev
+    ,golang-github-pmezard-go-difflib-dev
+    ,golang-github-posener-complete-dev
+    ,golang-github-prometheus-client-golang-dev
+    ,golang-github-prometheus-client-model-dev
+    ,golang-github-prometheus-common-dev
+    ,golang-github-racksec-srslog-dev
+    ,golang-github-rkt-rkt-dev
+    ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
+    ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
+    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
+    ,golang-github-skratchdot-open-golang-dev
+    ,golang-github-spf13-pflag-dev
+    ,golang-github-stretchr-objx-dev
+    ,golang-github-stretchr-testify-dev
+    ,golang-github-ugorji-go-codec-dev ,golang-github-ugorji-go-codec
+    ,golang-go4-dev
+    ,golang-gocapability-dev
+    ,golang-golang-x-crypto-dev
+    ,golang-golang-x-sync-dev
+    ,golang-golang-x-sys-dev
+    ,golang-golang-x-text-dev
+    ,golang-golang-x-time-dev
+    ,golang-golang-x-tools-dev
+    ,golang-gomega-dev
+    ,golang-gopkg-inf.v0-dev
+    ,golang-gopkg-lxc-go-lxc.v2-dev
+    ,golang-gopkg-tomb.v1-dev
+    ,golang-gopkg-tomb.v2-dev
+    ,golang-gopkg-yaml.v2-dev
+    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
+    ,golang-procfs-dev
     ,golang-prometheus-client-dev | golang-github-prometheus-client-dev
-#    ,golang-github-prometheus-client-model-dev
-    ,golang-github-prometheus-common-dev
-    ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
-    ,golang-github-ugorji-go-codec-dev
-    ,golang-golang-x-sys-dev
-    ,golang-golang-x-tools-dev
-Standards-Version: 3.9.8
+    ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
+Standards-Version: 4.1.4
 Homepage: https://github.com/hashicorp/nomad
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/nomad.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/nomad.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
+Vcs-Git: https://salsa.debian.org/go-team/packages/nomad.git
 XS-Go-Import-Path: github.com/hashicorp/nomad
 
 Package: nomad
@@ -75,6 +130,14 @@
          ${misc:Depends}
     ,pipexec
     ,procps
+Suggests: ${misc:Suggests}
+    ,consul
+# driver-java:
+    ,default-jre
+# driver-qemu:
+    ,qemu-kvm | qemu-system-x86
+# driver-rkt:
+    ,rkt
 Description: distributed, highly available, datacenter-aware scheduler
  Nomad is a cluster manager, designed for both long lived services and
  short lived batch processing workloads. Developers use a declarative job

## nomad 0.8.6+dfsg1

=== debian/changelog ===
nomad (0.8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release [September 2018].
  * Standards-Version: 4.2.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 27 Sep 2018 09:50:45 +1000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: nomad
 Section: devel
 Priority: optional
+Standards-Version: 4.2.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
@@ -117,7 +118,6 @@
     ,golang-procfs-dev
     ,golang-prometheus-client-dev | golang-github-prometheus-client-dev
     ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
-Standards-Version: 4.1.4
 Homepage: https://github.com/hashicorp/nomad
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
 Vcs-Git: https://salsa.debian.org/go-team/packages/nomad.git

## nomad 0.8.7%2Bdfsg1

=== website/Makefile ===
VERSION?="0.3.35"

build:
	@echo "==> Starting build in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--volume "$(shell pwd):/website" \
		-e "ENV=production" \
		hashicorp/middleman-hashicorp:${VERSION} \
		bundle exec middleman build --verbose --clean

website:
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--publish "4567:4567" \
		--publish "35729:35729" \
		--volume "$(shell pwd):/website" \
		hashicorp/middleman-hashicorp:${VERSION}

.PHONY: build website

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nomad
 Section: devel
 Priority: optional
-Standards-Version: 4.2.1
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.3.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
     ,golang-dbus-dev | golang-github-godbus-dbus-dev

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=+dfsg,\
+repacksuffix=+dfsg1,\
 repack,compression=xz,\
 dversionmangle=s/[+~]dfsg\d*//,\
 " https://github.com/hashicorp/nomad/releases \

## nomad 0.8.7+dfsg1

=== debian/changelog ===
nomad (0.8.7+dfsg1-1) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * New upstream release [January 2019].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Jan 2019 17:17:08 +1100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: devel
 Priority: optional
 Standards-Version: 4.3.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
     ,golang-dbus-dev | golang-github-godbus-dbus-dev

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## Disable compiler cache (`go env GOCACHE`, `go help cache`).
export GOCACHE=off

export DH_GOLANG_GO_GENERATE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_EXCLUDES := demo e2e
export DH_GOLANG_INSTALL_EXTRA = \
    client/getter/test-fixtures \
    client/driver/test-resources \
    command/agent/test-resources \
    command/agent/config-test-fixtures \
    jobspec/test-fixtures \
    generate.sh

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	-find vendor -type d -empty -delete -print

override_dh_auto_configure:
	dh_auto_configure

override_dh_auto_build:
#	export GOPATH=$(CURDIR)/_build \
#	&& $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile generate
	dh_auto_build -v

override_dh_auto_test:
## 165 tests are failing. Please help.
	#-PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test -v --max-parallel=2

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installinit:
	dh_installinit --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## nomad 0.10.3+dfsg1

=== debian/changelog ===
nomad (0.10.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
    + fixed CVE-2020-7218 in agent.
    + fixed CVE-2020-7956 in server.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Feb 2020 03:27:56 +1100

nomad (0.10.2+dfsg2-13) unstable; urgency=medium

  * Disabled "TestRegionList".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 10:01:04 +1100

nomad (0.10.2+dfsg2-12) unstable; urgency=medium

  * Un-vendored "golang-github-hashicorp-go-plugin-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 07:25:14 +1100

nomad (0.10.2+dfsg1-11) unstable; urgency=medium

  * New patch to fix FTBFS golang-github-shirou-gopsutil-dev (>= 2.19.05~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 30 Dec 2019 18:44:26 +1100

nomad (0.10.2+dfsg1-10) unstable; urgency=medium

  * (Build-)Depends:
    = golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 14:56:13 +1100

nomad (0.10.2+dfsg1-9) unstable; urgency=medium

  * Ignore test failures on [mipsel, mips64el] due to sporadic panics,
    timeouts and other errors.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 12:30:00 +1100

nomad (0.10.2+dfsg1-8) unstable; urgency=medium

  * Disabled "TestClientEndpoint_ListNodes_Blocking" following spurious
    failure on "mips64el".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 10:11:12 +1100

nomad (0.10.2+dfsg1-7) unstable; urgency=medium

  * Build with "--max-parallel=2" on "mipsel".
  * Use non-transitional "prometheus-client" package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 18:52:43 +1100

nomad (0.10.2+dfsg1-6) unstable; urgency=medium

  * Enabled built-in UI.
  * postinst: sleep correction.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 07:45:01 +1100

nomad (0.10.2+dfsg1-5) unstable; urgency=medium

  * Defined "plugin_dir" path in the default conf file.
  * service:
    + un-protected KernelTunables (required to setup networking).
    + (After|Wants) += "remote-fs.target".
    + clear "client/state.db" before start
      (workaround against spurious restart errors).
    + added "After=io.podman.service" to fix timeout on shutdown.
    + throttled (re-)start rate.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Dec 2019 22:36:49 +1100

nomad (0.10.2+dfsg1-4) unstable; urgency=medium

  * Disabled "TestRPC_forwardLeader" after spurious failure on "mipsel".
  * Removed "golang-gopkg-vmihailenco-msgpack.v2-dev" from Build-Depends.
  * dev: sub-vendored "hashicorp/vault/helper".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Dec 2019 17:28:19 +1100

nomad (0.10.2+dfsg1-3) unstable; urgency=medium

  * Disabled "TestMonitor_Monitor_RemoteServer".
  * dev: expose "version" component as required by "nomad-driver-lxc".
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Dec 2019 09:44:58 +1100

nomad (0.10.2+dfsg1-2) unstable; urgency=medium

  * Disabled "TestServerWithNodeConn_Path_Newest".
  * Build-Depends += "tzdata" (Closes: #946455)
    Thanks, Santiago Vila.
  * dev: exposed "testutil" as required by "nomad-driver-lxc".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Dec 2019 23:12:41 +1100

nomad (0.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * servcie: corrected post-start setting of eligibility.
  * service: enabled hardening features.
  * dev: sub-vendored "hcl2" library.
  * dev/Depends:
    + golang-github-agext-levenshtein-dev
    + golang-github-mitchellh-go-wordwrap-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Dec 2019 12:05:08 +1100

nomad (0.10.1+dfsg2-4) unstable; urgency=medium

  * copyright: removed obsolete "Unicode-ToU" paragraph.
  * Disabled unreliable "TestDrainer_Batch_TransitionToForce".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 14:54:59 +1100

nomad (0.10.1+dfsg2-3) unstable; urgency=medium

  * Build against Consul 1.5.2 with a new patch to fix FTBFS.
  * Disabled few more unreliable tests.
  * Un-vendored
    + golang-github-apparentlymart-go-textseg-dev
    + golang-github-hashicorp-go-discover-dev
    + golang-github-rs-cors-dev
    + golang-github-zclconf-go-cty-dev
  * Added lintian-overrides for "field-too-long Built-Using|Build-Depends".
  * No longer depend on "golang-github-docker-distribution-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 08:17:53 +1100

nomad (0.10.1+dfsg1-2) unstable; urgency=medium

  * dev: Depends += "golang-github-mitchellh-hashstructure-dev".
  * sub-vendored "github.com/oklog/run"
    as required by "hashicorp/go-plugin".
  * Set default cni_path, as provided by "containernetworking-plugins".
  * Recommends:
    + containernetworking-plugins
    + ethtool

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Nov 2019 19:13:29 +1100

nomad (0.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Nov 2019 13:21:05 +1100

nomad (0.10.0+dfsg1-5) unstable; urgency=medium

  * Fixed "go-plugins" installation path.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 22:21:31 +1100

nomad (0.10.0+dfsg1-4) unstable; urgency=medium

  * Sub-vendored "go-plugin" to build "nomad-sriver-singularity".
  * Disabled more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 21:31:48 +1100

nomad (0.10.0+dfsg1-3) unstable; urgency=medium

  * Suggests += "nomad-driver-podman".
  * dev: sub-vendor two forks of "ugorji/go" due to incredible upstream
    sloppiness. :(

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Oct 2019 15:50:59 +1100

nomad (0.10.0+dfsg1-2) unstable; urgency=medium

  * Introduced -dev package.
  * Disabled few randomly failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2019 14:10:10 +1100

nomad (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    = golang-github-ugorji-go-codec(-dev) (>= 1.1.7~)


=== debian/control ===
--- 
+++ 
@@ -1,30 +1,38 @@
 Source: nomad
 Section: devel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
+Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.11~)
     ,golang-dbus-dev | golang-github-godbus-dbus-dev
     ,golang-ginkgo-dev
-    ,golang-github-appc-cni-dev
-    ,golang-github-appc-docker2aci-dev
+    ,golang-github-agext-levenshtein-dev
+    ,golang-github-apparentlymart-go-textseg-dev
+    ,golang-github-appc-cni-dev (>= 0.7.1~)
     ,golang-github-appc-spec-dev
-    ,golang-github-armon-go-metrics-dev (>= 0.0~git20170601~)
+    ,golang-github-armon-circbuf-dev
+    ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
     ,golang-github-armon-go-radix-dev
+#   ,golang-github-azure-azure-sdk-for-go-dev
     ,golang-github-azure-go-ansiterm-dev
     ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-go-netrc-dev
     ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
-    ,golang-github-burntsushi-toml-dev
-    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.0.0~)
+    ,golang-github-burntsushi-toml-dev (>= 0.3.1~)
+    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
+    ,golang-github-containerd-console-dev
+    ,golang-github-containerd-go-cni-dev
+    ,golang-github-containernetworking-plugins-dev
+    ,golang-github-coreos-go-iptables-dev
     ,golang-github-coreos-go-semver-dev
     ,golang-github-coreos-go-systemd-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
     ,golang-github-docker-docker-dev (>= 17.12.1~)
+#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
     ,golang-github-docker-go-connections-dev
     ,golang-github-docker-go-units-dev
     ,golang-github-dustin-go-humanize-dev
@@ -32,24 +40,28 @@
     ,golang-github-fatih-color-dev (>= 1.5.0~)
     ,golang-github-fatih-structs-dev
     ,golang-github-fsnotify-fsnotify-dev
-    ,golang-github-fsouza-go-dockerclient-dev (>= 1.2.1~)
+    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
     ,golang-github-go-ini-ini-dev
     ,golang-github-golang-snappy-dev
+    ,golang-github-googleapis-gax-go-dev
     ,golang-github-google-go-cmp-dev
     ,golang-github-gophercloud-gophercloud-dev
-    ,golang-github-gorhill-cronexpr-dev
-    ,golang-github-hashicorp-consul-dev (>= 1.0.7~)
+    ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
+    ,golang-github-gorilla-websocket-dev
+    ,golang-github-hashicorp-consul-dev (>= 1.5.2~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
-    ,golang-github-hashicorp-go-cleanhttp-dev
-    ,golang-github-hashicorp-go-getter-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
+    ,golang-github-hashicorp-go-discover-dev
+    ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
+    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
+#   ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-msgpack-dev
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev
-    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.0+git20180718~)
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-sockaddr-dev
     ,golang-github-hashicorp-go-syslog-dev
@@ -63,23 +75,27 @@
     ,golang-github-hashicorp-raft-dev (>= 1.0.0+git20180118~)
     ,golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
     ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
-    ,golang-github-hashicorp-yamux-dev
-#   ,golang-github-hpcloud-tail-dev
+    ,golang-github-hashicorp-yamux-dev (>= 0.0+git20190923~)
+    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
     ,golang-github-jmespath-go-jmespath-dev
     ,golang-github-kr-pretty-dev
+    ,golang-github-kr-pty-dev
     ,golang-github-kr-text-dev
+    ,golang-github-lk4d4-joincontext-dev
     ,golang-github-mattn-go-colorable-dev
     ,golang-github-mattn-go-isatty-dev (>= 0.0.3~)
     ,golang-github-mattn-go-shellwords-dev
-    ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-colorstring-dev
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
     ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-go-wordwrap-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-mitchellh-reflectwalk-dev
+    ,golang-github-mrunalp-fileutils-dev
     ,golang-github-nytimes-gziphandler-dev (>= 1.0.1~)
     ,golang-github-opencontainers-go-digest-dev
     ,golang-github-opencontainers-image-spec-dev
@@ -91,33 +107,43 @@
     ,golang-github-prometheus-client-model-dev
     ,golang-github-prometheus-common-dev
     ,golang-github-racksec-srslog-dev
-    ,golang-github-rkt-rkt-dev
-    ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
+    ,golang-github-rs-cors-dev
+    ,golang-github-ryanuber-columnize-dev (>= 2.1.1~)
+    ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
     ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
     ,golang-github-skratchdot-open-golang-dev
     ,golang-github-spf13-pflag-dev
     ,golang-github-stretchr-objx-dev
     ,golang-github-stretchr-testify-dev
-    ,golang-github-ugorji-go-codec-dev ,golang-github-ugorji-go-codec
-    ,golang-go4-dev
+    ,golang-github-ugorji-go-codec-dev (>= 1.1.7~) ,golang-github-ugorji-go-codec (>= 1.1.7~)
+    ,golang-github-zclconf-go-cty-dev
+#    ,golang-go4-dev
     ,golang-gocapability-dev
     ,golang-golang-x-crypto-dev
+    ,golang-golang-x-net-dev
+    ,golang-golang-x-oauth2-dev
     ,golang-golang-x-sync-dev
     ,golang-golang-x-sys-dev
     ,golang-golang-x-text-dev
     ,golang-golang-x-time-dev
     ,golang-golang-x-tools-dev
     ,golang-gomega-dev
+    ,golang-google-cloud-dev
+    ,golang-google-grpc-dev (>= 1.22.1~)
+    ,golang-go.opencensus-dev
     ,golang-gopkg-inf.v0-dev
-    ,golang-gopkg-lxc-go-lxc.v2-dev
     ,golang-gopkg-tomb.v1-dev
     ,golang-gopkg-tomb.v2-dev
     ,golang-gopkg-yaml.v2-dev
     ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
     ,golang-procfs-dev
-    ,golang-prometheus-client-dev | golang-github-prometheus-client-dev
     ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
+# bugfix/golang-google-cloud-dev=0.43.0-1:
+    ,golang-google-api-dev (>= 0.7.0~)
+# tests:
+    ,consul (>= 1.5.2~)
+    ,tzdata
 Homepage: https://github.com/hashicorp/nomad
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
 Vcs-Git: https://salsa.debian.org/go-team/packages/nomad.git
@@ -130,6 +156,9 @@
          ${misc:Depends}
     ,pipexec
     ,procps
+Recommends: ${misc:Recommends}
+    ,containernetworking-plugins
+    ,ethtool
 Suggests: ${misc:Suggests}
     ,consul
 # driver-java:
@@ -138,6 +167,10 @@
     ,qemu-kvm | qemu-system-x86
 # driver-rkt:
     ,rkt
+# pluggable drivers:
+    ,nomad-driver-lxc
+    ,nomad-driver-podman
+    ,nomad-driver-singularity
 Description: distributed, highly available, datacenter-aware scheduler
  Nomad is a cluster manager, designed for both long lived services and
  short lived batch processing workloads. Developers use a declarative job
@@ -176,3 +209,64 @@
   integrates with tools like Packer, Consul, and Terraform to support
   building artifacts, service discovery, monitoring and capacity
   management.
+
+Package: golang-github-hashicorp-nomad-dev
+Architecture: all
+Depends: ${misc:Depends}
+    ,golang-github-armon-circbuf-dev
+    ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
+    ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
+    ,golang-github-coreos-go-semver-dev
+    ,golang-github-docker-go-units-dev
+    ,golang-github-golang-snappy-dev
+    ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
+    ,golang-github-gorilla-websocket-dev
+    ,golang-github-hashicorp-consul-dev (>= 1.5.2~)
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
+    ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
+    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
+    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
+    ,golang-github-hashicorp-go-memdb-dev
+    ,golang-github-hashicorp-go-multierror-dev
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-uuid-dev
+    ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
+    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
+    ,golang-github-hashicorp-raft-dev (>= 1.0.0+git20180118~)
+    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
+    ,golang-github-hashicorp-yamux-dev (>= 0.0+git20190923~)
+    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
+    ,golang-github-kr-pretty-dev
+    ,golang-github-kr-pty-dev
+    ,golang-github-lk4d4-joincontext-dev
+    ,golang-github-mitchellh-copystructure-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-hashstructure-dev
+    ,golang-github-mitchellh-mapstructure-dev
+    ,golang-github-opencontainers-runc-dev
+    ,golang-github-pkg-errors-dev
+    ,golang-github-ryanuber-go-glob-dev
+    ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
+    ,golang-github-stretchr-testify-dev
+    ,golang-github-ugorji-go-codec-dev ,golang-github-ugorji-go-codec
+    ,golang-github-zclconf-go-cty-dev
+    ,golang-golang-x-crypto-dev
+    ,golang-golang-x-net-dev
+    ,golang-golang-x-sys-dev
+    ,golang-golang-x-time-dev
+    ,golang-google-grpc-dev (>= 1.22.1~)
+    ,golang-gopkg-tomb.v1-dev
+    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
+# hcl2:
+    ,golang-github-agext-levenshtein-dev
+    ,golang-github-mitchellh-go-wordwrap-dev
+Suggests: ${misc:Suggests}
+# Docker:
+    ,golang-github-docker-docker-dev (>= 17.12.1~)
+#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
+    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
+# rkt:
+    ,golang-github-appc-spec-dev
+Description: Nomad development libraries
+ Nomad interface for development of add-on drivers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_GO_GENERATE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_EXCLUDES := demo e2e internal/testing/apitests
export DH_GOLANG_INSTALL_EXTRA = \
    drivers/docker/test-resources \
    drivers/java/test-resources \
    command/agent/test-resources \
    jobspec/test-fixtures \
    nomad/structs/generate.sh

ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
    MINUS:=-
endif

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files

#	Some vendored components (hashicorp/go-msgpack, github.com/ugorji/go) have un-generateable files.
#	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files

override_dh_auto_configure:
	dh_auto_configure
	
####    Build and install "codecgen" for temporary use:
	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
	&& dh_auto_build -v \
	&& dh_auto_install -v -- --no-source

override_dh_auto_build:
	export GOPATH=$(CURDIR)/_build \
	&& $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
	
####    Setting PATH so custom "codegen" could be found.
	PATH="$(CURDIR)/_build/bin:$$PATH" \
	dh_auto_build -v -- -a -tags "release ui"

override_dh_auto_test:
	$(MINUS)PATH="$(CURDIR)/_build/bin:$$PATH" \
        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} client api command drivers/shared nomad/deploymentwatcher" \
        skipOnlineTestsEnvVar=1 \
        dh_auto_test -v --max-parallel=3 -- -short -failfast -timeout 5m

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -XLICENSE

override_dh_installinit:
	dh_installinit --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
